/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: playbackcontroller.cc 3258 2006-04-23 16:09:14Z svntobi $
 *
 */

#include "playbackcontroller.h"
#include "pespacketbuffer.h"
#include "thread.h"

using namespace std;

PlaybackController::PlaybackController(ref_ptr<istream> mp3Stream,
  ref_ptr<IPesPacketBuffer> pesBuffer, ref_ptr<IThread> playbackThread)
:mp3Stream(mp3Stream), pesBuffer(pesBuffer), playbackThread(playbackThread)
{
}


bool PlaybackController::IsPlaybackFinished()
{
    if ((mp3Stream->peek() == EOF) && (pesBuffer->IsEmpty()))
    {
        return true;
    }
    else
    {
        return false;
    }
}

bool PlaybackController::IsPlaying()
{
    return playbackThread->IsRunning();
}

void PlaybackController::Pause()
{
    if (playbackThread->IsRunning())
    {
        playbackThread->Stop();
    }
    else
    {
        playbackThread->Start();
    }
}
